﻿#language: ru

@labeling

Функционал: 005. Labeling. Создание рабочих центров

Сценарий: 005.1. Labeling. Создание вида рабочего центра

	Дано Я подключаюсь под "Администратор"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Виды рабочих центров'
	Тогда я жду открытия окна 'Виды рабочих центров' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Вид рабочего центра (создание)'
	И в поле 'Наименование' я ввожу текст 'Маркировка(склад)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда открылось окно 'Виды рабочих центров'
	И я закрываю окно 'Виды рабочих центров'

Сценарий: 005.2. Labeling. Создание рабочего центра Маркировка №1

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Рабочие центры'
	Тогда я жду открытия окна 'Рабочие центры' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'Маркировка №1'
	И из выпадающего списка 'Вид рабочего центра' я выбираю по строке 'Маркировка(склад)'
	И я перехожу к закладке "Склады"
	И из выпадающего списка 'Склад' я выбираю по строке 'Склад маркировки'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Вариант нумерации серий" я выбираю точное значение 'По настройкам вида номенклатуры'	
	И я перехожу к закладке "Маркировка"
	И из выпадающего списка 'Склад сырья' я выбираю по строке 'Склад немаркированной продукции'
	И из выпадающего списка 'Ячейка сырья' я выбираю по строке 'Ячейка отгрузки'
	И из выпадающего списка 'Склад выпуска' я выбираю по строке 'Склад готовой продукции'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 005.3. Labeling. Создание рабочего центра Маркировка №2

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Рабочие центры'
	Тогда я жду открытия окна 'Рабочие центры' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'Маркировка №2'
	И из выпадающего списка "Вид рабочего центра" я выбираю по строке 'Маркировка(склад)'
	И я перехожу к закладке "Склады"
	И из выпадающего списка 'Склад' я выбираю по строке 'Склад маркировки'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Вариант нумерации серий" я выбираю точное значение 'По настройкам вида номенклатуры'
	И я перехожу к закладке "Маркировка"
	И из выпадающего списка 'Склад сырья' я выбираю по строке 'Склад немаркированной продукции'
	И из выпадающего списка 'Ячейка сырья' я выбираю по строке 'Ячейка отгрузки'
	И из выпадающего списка 'Склад выпуска' я выбираю по строке 'Склад готовой продукции'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 005.4. Labeling. Завершение

	И Я закрыл все окна клиентского приложения	